javax.swing.plaf.metal

## Class MetalIconFactory.TreeLeafIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FileIcon16
  - - javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  Serializable, Icon

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.TreeLeafIcon
    extends MetalIconFactory.FileIcon16

### Constructor Summary

Constructors
Constructor and Description
`MetalIconFactory.TreeLeafIcon()`

### Method Summary

Methods
`int` `getAdditionalHeight()`
`int` `getShift()`

### Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FileIcon16

`getIconHeight, getIconWidth, paintIcon`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalIconFactory.TreeLeafIcon

    public MetalIconFactory.TreeLeafIcon()

### Method Detail

#### getShift

    public int getShift()

Overrides:
  `getShift` in class `MetalIconFactory.FileIcon16`

#### getAdditionalHeight

    public int getAdditionalHeight()

Overrides:
  `getAdditionalHeight` in class `MetalIconFactory.FileIcon16`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.